'Sept. 17

'demo program written to calculate interest 
'compounded monthly 

'It compares user/event-driven repetition (i.e. 
'the user clicking the button over and over) 
'to code-driven repetition -- a For-Next loop 

Public Class FrmInterest
    Dim Balance As Double = 0
    Dim Interest As Double
    Dim MonthCount As Integer = 0

    'a single month's calculation 
    Private Sub btnInterest_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnInterest.Click
        If Balance = 0 Then
            Try
                Balance = txtPrinciple.Text
            Catch
                MsgBox("Please enter an amount for principle.")
                Exit Sub
            End Try
        End If

        Try
            Interest = txtInterest.Text
        Catch ex As Exception
            MsgBox("Please enter an amount for the interest.")
            Exit Sub
        End Try

        Dim InterestEarned As Double

        MonthCount += 1
        InterestEarned = Balance * Interest / 12
        'compounding monthly
        Balance += InterestEarned
        txtResult.Text &= "After " & MonthCount & " month(s), the new amount is " & Format(Balance, "Currency") & "." & vbCrLf

    End Sub

    'a few years' worth of interest calculation
    Private Sub btnInterest2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnInterest2.Click
        Dim i As Integer

        'For i = 1 To nudYear.Value * 12
        '    btnInterest_Click(sender, e)

        'Next

        For i = nudYear.Value * 12 To 1 'Step -1
            btnInterest_Click(sender, e)

        Next

    End Sub
End Class
